package com.nisum.reactiveweb;

import lombok.extern.slf4j.Slf4j;
import reactor.blockhound.BlockHound;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

import java.util.concurrent.atomic.AtomicInteger;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.event.ApplicationStartedEvent;
import org.springframework.context.event.EventListener;
import org.springframework.stereotype.Component;

@SpringBootApplication
public class ReactiveWebApplication {

    public static void main(String[] args) {
        BlockHound.install();

        //        Hooks.onOperatorDebug();
        //        ReactorDebugAgent.init();
        //        ReactorDebugAgent.processExistingClasses();

        SpringApplication.run(ReactiveWebApplication.class, args);
    }

}
